Subject: using io remap in an init func

From: Ralph Blach <[email-masked]>
Date: Mon, 13 Mar 2000 09:39:48 -0500

I am working on a port of linux to the IBM 405.

I need to scan the PCI hardware and to do this I need a tlb entry for
the
indirect io addresses staring at 0xeec00000.  The function that sets up
the
indrect address is specified as an __init.  If I use IOremap here to
remap the
address, will this tlb entry stick around forever or do I need to pin a
tlb entry?

Thanks

Chip
IBM MicroElectronics
RTP, NC

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/